#include <iostream>
using namespace std;
int main()
{
    int N;
    cin>>N;
    int a[N];
    int i, j, k, br=0;
    for(i=0; i<N; i++){
        cin>>a[i];
    }
    for(i=0; i<N; i++){
        for(j=0; j<N; j++){
            if(j!=i && a[j]%a[i]==0){
                for(k=0; k<N; k++){
                    if(k!=j && k!=i && a[k]%a[j]==0){
                        br++;
                    }
                }
            }
        }
    }
    cout<<br;
}